Main Page Widgets Namespaces Book

# Gtk::SeparatorMenuItem Class Reference
[Widgets, Menu classes]

Inheritance diagram for Gtk::SeparatorMenuItem:

[legend]
List of all members.

## Detailed Description

A separator used to group items within a menu.

It displays a horizontal line with a shadow to make it appear sunken into the interface.

## Public Member Functions

const GtkSeparatorMenuItem* | gobj () const
| Provides access to the underlying C GtkObject.
GtkSeparatorMenuItem* | gobj ()
| Provides access to the underlying C GtkObject.
| SeparatorMenuItem ()
virtual | ~SeparatorMenuItem ()

## Related Functions

(Note that these are not member functions.)
Gtk::SeparatorMenuItem* | wrap (GtkSeparatorMenuItem* object, bool take_copy=false)

Parameters:

  | object | The C instance

## Constructor & Destructor Documentation

virtual Gtk::SeparatorMenuItem::~SeparatorMenuItem | ( |  | ) | `[virtual]`

Gtk::SeparatorMenuItem::SeparatorMenuItem | ( |  | ) |

## Member Function Documentation

const GtkSeparatorMenuItem* Gtk::SeparatorMenuItem::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::MenuItem.

GtkSeparatorMenuItem* Gtk::SeparatorMenuItem::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::MenuItem.

## Friends And Related Function Documentation

Gtk::SeparatorMenuItem* wrap | ( | GtkSeparatorMenuItem * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

Parameters:

  | object | The C instance

Parameters:

  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- separatormenuitem.h